Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 204850 - [71cat] NullPointerException at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.getConcreteMethod
[71cat] NullPointerException at org.netbeans.modules.debugger.jpda.expr.Evalu...
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.1
All All
: P3 (vote)
: 7.1
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 16:31 UTC by muellermi
Modified: 2011-11-10 15:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.11 KB, text/plain)
2011-11-08 16:31 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2011-11-08 16:31:36 UTC
Build: NetBeans IDE Dev (Build 201111070600)
VM: Java HotSpot(TM) Client VM, 21.1-b02, Java(TM) SE Runtime Environment, 1.7.0_01-b08
OS: Windows XP

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.getConcreteMethod(EvaluatorVisitor.java:508)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.findEnclosingTypeWithMethod(EvaluatorVisitor.java:450)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitMethodInvocation(EvaluatorVisitor.java:393)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitMethodInvocation(EvaluatorVisitor.java:194)
   at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1338)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitExpressionStatement(EvaluatorVisitor.java:1520)
Comment 1 muellermi 2011-11-08 16:31:41 UTC
Created attachment 113010 [details]
stacktrace
Comment 2 Martin Entlicher 2011-11-09 13:23:24 UTC
Fixed by changeset:   206708:f43863f9d923
http://hg.netbeans.org/main/rev/f43863f9d923
Comment 3 Quality Engineering 2011-11-10 15:58:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f43863f9d923
User: mentlicher@netbeans.org
Log: #204850: Prevent from NPE.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo